​
Select Service
ves-io-schema-usb_policy-API-Get
Published April 5, 2023 | Last modified September 15, 2026
Examples of getting usb_policy
Usecase:
Get syslog log receiver created in previous example.
Request using vesctl:
vesctl configuration get usb_policy usb-list-1 --namespace documentation
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: usb-list-1 namespace: documentationreferringObjects: []resourceVersion: "3968"spec: allowedDevices: - iSerial: "0000:00:14.0" idProduct: "0x0002" idVendor: "0x1d6b"status: []systemMetadata: creationTimestamp: "2026-06-19T22:09:50.686487Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: a660af50-6605-48bf-9ffa-f448db14edaeRequest using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1655461974_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/usb_policys/usb-list-1?response_format=0'curl response:
HTTP/1.1 200 OKContent-Length: 1057Content-Type: application/jsonDate: Fri, 19 Jun 2026 22:09:50 GMTVary: Accept-Encoding
{ "create_form": null, "replace_form": null, "resource_version": "3968", "metadata": { "name": "usb-list-1", "namespace": "documentation", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "a660af50-6605-48bf-9ffa-f448db14edae", "creation_timestamp": "2026-06-19T22:09:50.686487Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "allowed_devices": [ { "i_serial": "0000:00:14.0", "id_vendor": "0x1d6b", "id_product": "0x0002", "b_device_class": "", "b_device_sub_class": "", "b_device_protocol": "" } ] }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}